﻿@model eCommerce.Services.Model.Order
@using eCommerce.Services.Services.Andreani

@{
    ViewBag.Title = "Entrega de Mercadería";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<input type="hidden" id="orderIdHidden" value="@Model.OrderId" />

<div class="page-header">
    <h1 class="page-title">Entregas de la Venta #@Model.OrderId</h1>
    <div class="page-header-actions">
        
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Orders'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            
            <button type="button" class="btn btn-outline btn-primary" id="newDeliveryButton"
                    onclick="window.location.href='/DeliveryOrders/DeliveryOrderUpdate?OrderId=@Model.OrderId&DeliveryOrderId=-1'"
                    @(!Model.HasPendingDeliveries ? "disabled" : "")>
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA ENTREGA</span>
            </button>
            
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body" id="deliveryList">
            @Html.Partial("_DeliveryOrderRefreshPartial", Model)
        </div>
    </div>

</div>

<!-- Modal  RECEPTION DETAIL -->
<div class="modal fade" id="ModalDeliveryDetail" aria-hidden="false" aria-labelledby="ModalDeliveryDetailLabel"
     role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content" id="modalDeliveryDetail" method="post" action="#">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="ModalDeliveryDetailLabel">Detalle de Entrega</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div id="deliveryDetailDiv"></div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- End Modal -->

<!-- Modal Guia -->
<div class="modal fade" id="ModalDeliveryOrderGuide" aria-hidden="false" aria-labelledby=""
     role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content" id="modalDeliveryDetail" method="post" action="#">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="ModalDeliveryDetailLabel">Nro. de Guía del Envío</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div id="deliveryOrderGuideDiv"></div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- End Modal -->


@section Scripts {

<script>
        $(document).ready(function () {
            $('.js-cancel-andreani').click(function () {
                var number = $(this).data('andreani');

                swal({
                    title: "Anular envío",
                    text: "¿Está seguro que desea anular el envío de Andreani?",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo anularlo',
                    cancelButtonText: 'No',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        $.ajax({
                            url: "/Andreani/AnularEnvio",
                            type: "GET",
                            data: { numero: number },
                            success: function (data, textStatus, jqXHR) {
                                if(data.Status.toString() == "@((int)AndreaniStatus.Ok)"){
                                    swal("Envío anulado", "", "sucess");
                                    location.reload();
                                } else {
                                    swal("Envío NO anulado!", "Se produjo un error al intentar anular el envío de Andreani.", "error");
                                }
                            },
                            error: function (request, status, error) {
                                swal("Envío NO anulado!", "Se produjo un error al intentar anular el envío de Andreani.", "error");
                            }
                        });
                    }
                });



            });
        });
</script>

    <script type="text/javascript" src="~/Scripts/DeliveryOrders/DeliveryOrderList.js"></script>
    <script type="text/javascript" src="http://seguimiento.andreani.com/tracking.js"> </script>

}